function sbPower = makeSB(df, HOMandRF, FreqAndHOMidx, FSR, F, gouy)

sbPower = zeros(length(df), 5);

nFreqs = 5;
nHOMs = length(HOMandRF)/ nFreqs;

for jj = 1:nFreqs
    for kk = 1:nHOMs
        ii = (jj-1)*nHOMs+kk;
        fRF = FreqAndHOMidx(ii,1);
        n   = FreqAndHOMidx(ii,2);
        sbPower(:,jj) = ...
            HOMandRF(ii)*makeFringe(df,fRF, FSR, F, gouy, n).' + sbPower(:,jj);
    end
end